// --------------------------------------------------------------------------
// 404 Page
// --------------------------------------------------------------------------

.page404 {
    padding: 80px 0 160px;

    button {
        padding: 21px 29px 25px;

        @include breakpointMax(xl) {
            padding: 23px 33px;
            font-size: 20px;
            line-height: 23px;
        }

        @include breakpointMax(lg) {
            padding: 23px 33px;
            font-size: 16px;
            line-height: 9px;
        }
        
        @include breakpointMax(md) {
            display: block;
            margin: 30px auto 0;
            padding: 14px 25px;
        }
    }

    @include breakpointMax(xl) {
        padding-top: 35px;
    }

    @include breakpointMax(md) {
        padding-bottom: 60px;
    }
}

.page404__title {
    margin: 0 0 22px;
    width: 100%;
    font-size: 40px;
    font-weight: 400;
    line-height: 47px;
    color: #00757E;

    span {
        color: #333333;
    }

    @include breakpointMax(xl) {
        font-size: 34px;
        line-height: 40px; 
    }

    @include breakpointMax(lg) {
        max-width: 285px;
        font-size: 26px;
        line-height: 30px; 
    }

    @include breakpointMax(xs) {
        margin: 0 auto;
        max-width: 253px;
        font-size: 25px;
        font-weight: 700;
        line-height: 29px;
        text-align: center;
    }
}

.page404__text {
    margin-bottom: 40px;
    font-size: 22px;
    line-height: 26px;
    color: #666666;

    @include breakpointMax(xl) {
        margin-bottom: 35px;
        font-size: 20px;
        line-height: 32px; 
    }

    @include breakpointMax(lg) {
        margin-bottom: 40px;
        line-height: 26px; 
    }

    @include breakpointMax(xs) {
        margin: 20px auto 30px;
        max-width: 240px;
        font-size: 16px;
        line-height: 23px; 
    }
}

.page404__img {
    margin: 0;
    position: absolute;
    top: -120px;
    right: 0;
    z-index: -1;

    @include breakpointMax(xl) {
        top: -50px;
    }

    @include breakpointMax(md) {
        position: static;
    }
}